<template>
  <div id="app">
    <template v-if="loggedIn">
      <Navbar></Navbar>
    </template>

    <router-view />

    <template v-if="loggedIn">
      <Footer></Footer>
    </template>
  </div>
</template>
<script>
import { computed } from "vue"
import Navbar from '@/components/Navbar'
import Footer from '@/components/Footer'
import store from '@/store';

export default {
  setup() {
    const loggedIn = computed(() => {
      return store.getters.loggedIn
    }) 
    
    return { loggedIn }
  },
  components: {
    Navbar,Footer
  }
}
</script>
<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
